As from 2018-1016 and under @pellinor agreement, I'm the New Management for TweakScale. From now on, it's all officially my fault!   In a Hurry: Help Wanted! See this post. Current Release:  2.4.3.18 for 1.4.1 <= KSP <= 1.10.0 (2020-0713) It works with KSP 1.9.x Install KSP Recall when using TweakScale on KSP 1.9.0 and 1.9.1 How to check Compatibility on CurseForge. IMPORTANT Users of KSP 1
    • Like
    25